For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList BYOK provider credentials
      • POSTCreate a BYOK provider credential
      • GETGet a BYOK provider credential
      • DELDelete a BYOK provider credential
      • PATCHUpdate a BYOK provider credential
LogoLogo
ModelsChatRankingsDocs
API ReferenceByok

Get a BYOK provider credential

GET
https://openrouter.ai/api/v1/byok/:id
GET
/api/v1/byok/:id
$curl https://openrouter.ai/api/v1/byok/11111111-2222-3333-4444-555555555555 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "allowed_api_key_hashes": null,
4 "allowed_models": null,
5 "allowed_user_ids": null,
6 "created_at": "2025-08-24T10:30:00Z",
7 "disabled": false,
8 "id": "11111111-2222-3333-4444-555555555555",
9 "is_fallback": false,
10 "label": "sk-...AbCd",
11 "provider": "openai",
12 "sort_order": 0,
13 "workspace_id": "550e8400-e29b-41d4-a716-446655440000",
14 "name": "Production OpenAI Key"
15 }
16}

Get a single bring-your-own-key (BYOK) provider credential by its id. Management key required.

Was this page helpful?
Previous

Delete a BYOK provider credential

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"

The BYOK credential ID (UUID).

Response

BYOK credential details
dataobject
The BYOK credential.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error